[Mongrel] NoMethodError exceptions

Will Green will at hotgazpacho.com
Sun Apr 29 08:46:26 EDT 2007


Upgrade your Mongrel to the latest (1.0.1), and try again.

James Mead wrote:
> I'm getting the following exceptions when running mongrel_rails. Any 
> ideas what might be causing the problem?
> 
> Error details...
> 
> $ mongrel_rails
> /opt/local/lib/ruby/gems/1.8/gems/mongrel-0.3.3/lib/mongrel/command.rb:168:in 
> `run': When creating '': undefined method `downcase' for nil:NilClass 
> (NoMethodError)
>         from 
> /opt/local/lib/ruby/gems/1.8/gems/mongrel-0.3.3/bin/mongrel_rails:224
>         from /opt/local/bin/mongrel_rails:16:in `load'
>         from /opt/local/bin/mongrel_rails:16
> 
> $ mongrel_rails start
> Running Mongrel server in development mode at 0.0.0.0:3000 
> <http://0.0.0.0:3000>
> Server ready.
> ERROR(NoMethodError): undefined method `readpartial' for 
> #<TCPSocket:0x24f2274>
> /opt/local/lib/ruby/gems/1.8/gems/mongrel-0.3.3/lib/mongrel.rb:352:in 
> `process_client'
> /opt/local/lib/ruby/gems/1.8/gems/mongrel- 0.3.3/lib/mongrel.rb:332:in 
> `initialize'
> /opt/local/lib/ruby/gems/1.8/gems/mongrel-0.3.3/lib/mongrel.rb:331:in 
> `timeout'
> /opt/local/lib/ruby/gems/1.8/gems/mongrel-0.3.3/lib/mongrel.rb:331:in 
> `initialize'
> /opt/local/lib/ruby/gems/1.8/gems/mongrel-0.3.3/lib/mongrel.rb:328:in 
> `initialize'
> /opt/local/lib/ruby/gems/1.8/gems/mongrel-0.3.3/lib/mongrel.rb:328:in `new'
> /opt/local/lib/ruby/gems/1.8/gems/mongrel- 0.3.3/lib/mongrel.rb:328:in 
> `initialize'
> /opt/local/lib/ruby/gems/1.8/gems/mongrel-0.3.3/lib/mongrel.rb:328:in 
> `times'
> /opt/local/lib/ruby/gems/1.8/gems/mongrel-0.3.3/lib/mongrel.rb:328:in 
> `initialize'
> /opt/local/lib/ruby/gems/1.8/gems/mongrel-0.3.3/bin/mongrel_rails:166:in 
> `new'
> /opt/local/lib/ruby/gems/1.8/gems/mongrel-0.3.3/bin/mongrel_rails:166:in 
> `start_mongrel'
> /opt/local/lib/ruby/gems/1.8/gems/mongrel- 
> 0.3.3/bin/mongrel_rails:181:in `run'
> /opt/local/lib/ruby/gems/1.8/gems/mongrel-0.3.3/lib/mongrel/command.rb:183:in 
> `run'
> /opt/local/lib/ruby/gems/1.8/gems/mongrel-0.3.3/bin/mongrel_rails:224
> /opt/local/bin/mongrel_rails:16:in `load'
> /opt/local/bin/mongrel_rails:16
> 
> Environment details...
> 
> $ gem list mongrel      
> 
> *** LOCAL GEMS ***
> 
> mongrel (0.3.3)
>     A small fast HTTP library and server that runs Rails, Camping, and
>     Nitro apps.
> 
> $ gem list gem_plugin
> 
> *** LOCAL GEMS ***
> 
> gem_plugin (0.2.1)
>     A plugin system based only on rubygems that uses dependencies only
> 
> $ gem list daemons
> 
> *** LOCAL GEMS ***
> 
> daemons (1.0.4)
>     A toolkit to create and control daemons in different ways
> 
> $ script/console
> Loading development environment.
>> > Rails::Info
> => About your application's environment
> Ruby version                 1.8.2 (powerpc-darwin8.2.0)
> RubyGems version             0.9.2
> Rails version                1.0.0
> Active Record version        1.13.2
> Action Pack version          1.11.2
> Action Web Service version   1.0.0
> Action Mailer version        1.1.5
> Active Support version       1.2.5
> Application root             **************
> Environment                  development
> Database adapter             mysql
> 
> Thanks.
> -- 
> James.
> http://blog.floehopper.org
> 
> 
> ------------------------------------------------------------------------
> 
> _______________________________________________
> Mongrel-users mailing list
> Mongrel-users at rubyforge.org
> http://rubyforge.org/mailman/listinfo/mongrel-users


More information about the Mongrel-users mailing list